{
  "nombre": "Administración de empresas de Usuario",
  "botones": [
    {
      "icono": "save",
      "name": "Grabar",
      "texto": "Grabar",
      "action": {
        "type": "apicall",
        "mode": "form-urlencoded",
        "url": "Engine",
        "mensajeExitoso": "Empresas del usuario actualizadas",
        "mensajeError": "No se pudo realizar el guardado",
        "formData": {
          "paquete": "std.seguridad",
          "clase": "Seguridad",
          "metodo": "setUsrEmpresas",
          "data": "$(resultData)",
          "parametros": "$(UsrId)"
        }
      }
    }
  ],
  "filtros": {
    "submitFunction": "Engine?paquete=std.seguridad&clase=Seguridad&metodo=getEmpresas&parametros=$(UsrId)",
    "hideButton": false,
    "fields": [
      {
        "label": "Usuario",
        "name": "UsrId",
        "type": "supercombobox",
        "tabla": "usr",
        "id": "UsrId",
        "text": "CONCAT(UsrApel,\" \",UsrNom)",
        "disabled": false
      }
    ]
  },
  "body": [
    {
      "componente": "TransferList",
      "resultVariableNameLeft": "noestan",
      "resultVariableNameRight": "estan",
      "titleLeft": "No esta en Rol",
      "titleRight": "Esta en Rol",
      "propertyName": "empNombre",
      "propertyId": "empId"
    }
  ]
}
